%define srcname xf86-video-openchrome
%define _modulesdir %_libdir/X11/modules

Name: xorg-x11-drv-openchrome
Version: 0.2.1
Release: alt1.svn295
Serial: 1
Summary: VIA openchrome graphics driver
License: MIT/X11
Group: System/X11

Url: http://www.openchrome.org/
Source: %srcname-%version.tar.bz2

Patch0: xf86-video-openchrome-0.1.33.1-alt-xvmc-link.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-via xorg-x11-extensions-glx
Provides: x11-driver-via x11-driver-via_cle266 x11-driver-via_pm880
Provides: via_cle266 via_pm880
Obsoletes: via_cle266 via_pm880
Conflicts: xorg-x11-drv-via

BuildRequires: libX11-devel libXv-devel libXdmcp-devel libXau-devel libXext-devel
BuildRequires: libXvMC-devel libdrm-devel libmesa-devel pkg-config xorg-x11-sdk
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros

%description
via  is  an  Xorg  driver  for  VIA  chipsets  with  onboard
openchrome graphics.

The via driver supports the VIA CLE266, KM400/KN400 chipsets, including
2D acceleration and the Xv video overlay extensions. Flat panel, TV and
VGA outputs are supported.

K8M800/K8N800, PM8X0 and CN400 support is still under development.

Direct rendering 3D is available using experimental  drivers  in  Mesa,
www.mesa3d.org.   Also  there  is  an  XvMC client library for hardware
MPEG1 /  MPEG2  decoding  acceleration  available  on  the  CLE266  and
K8M/N800  chipsets  that uses the Direct Rendering Infrastructure, DRI.
The XvMC client library implements a nonstandard "VLD" extension to the
XvMC standard. The current Direct Rendering Manager Linux kernel module
is available at dri.sourceforge.net.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch0 -p1

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/*.so.*
%_modulesdir/drivers/*.so
%_man4dir/*

%changelog
* Tue Feb 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn295
- SVN revision 295

* Sat Dec 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn280
- SVN revision 280

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn256
- SVN revision 256

* Sun Sep 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn216
- SVN revision 216

* Fri Sep 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn213
- SVN revision 213

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn208
- SVN revision 208

* Thu Aug 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1.svn202
- SVN revision 202

* Mon May 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1
- 0.2.1

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.1-alt2
- Obsoletes xorg-x11-drv-via

* Fri Mar 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.1-alt1
- 0.1.33.1

* Tue Jan 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt3
- SVN snapshot 20060112

* Sun Jan 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt2
- SVN snapshot 20060108

* Fri Dec 30 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt1
- SVN snapshot 20051229
